# Uses of Interface
org.springframework.orm.jpa.persistenceunit.PersistenceUnitPostProcessor

Packages that use PersistenceUnitPostProcessor
Package
Description
org.springframework.orm.jpa
Package providing integration of JPA (Java Persistence API) with Spring concepts.
org.springframework.orm.jpa.persistenceunit
Internal support for managing JPA persistence units.

## Uses of PersistenceUnitPostProcessor in org.springframework.orm.jpa

Methods in org.springframework.orm.jpa with parameters of type PersistenceUnitPostProcessor
Modifier and Type
Method
Description
`void`
LocalContainerEntityManagerFactoryBean.`setPersistenceUnitPostProcessors(PersistenceUnitPostProcessor... postProcessors)`
Set the PersistenceUnitPostProcessors to be applied to the PersistenceUnitInfo used for creating this EntityManagerFactory.

## Uses of PersistenceUnitPostProcessor in org.springframework.orm.jpa.persistenceunit

Methods in org.springframework.orm.jpa.persistenceunit that return PersistenceUnitPostProcessor
Modifier and Type
Method
Description
`PersistenceUnitPostProcessor[]`
DefaultPersistenceUnitManager.`getPersistenceUnitPostProcessors()`
Return the PersistenceUnitPostProcessors to be applied to each PersistenceUnitInfo that has been parsed by this manager.
Methods in org.springframework.orm.jpa.persistenceunit with parameters of type PersistenceUnitPostProcessor
Modifier and Type
Method
Description
`void`
DefaultPersistenceUnitManager.`setPersistenceUnitPostProcessors(PersistenceUnitPostProcessor... postProcessors)`
Set the PersistenceUnitPostProcessors to be applied to each PersistenceUnitInfo that has been parsed by this manager.